Bug 1435855 - virtlogd.socket: Tie lifecycle to libvirtd.service, to simplify running libvirtd after install
Summary: virtlogd.socket: Tie lifecycle to libvirtd.service, to simplify running libvi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-25 00:41 UTC by Cole Robinson
Modified: 2017-05-15 04:39 UTC (History)
9 users (show)

Fixed In Version: libvirt-2.2.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-15 04:39:07 UTC


Attachments (Terms of Use)

Description Cole Robinson 2017-03-25 00:41:31 UTC
We need to backport this patch to fedora 25 libvirt:

commit 839a060890d8b2408c0ea20e3c5997c7b2a4a079
Author: Andrea Bolognani <abologna@redhat.com>
Date:   Tue Sep 6 15:16:24 2016 +0200

    virtlogd.socket: Tie lifecycle to libvirtd.service


Since there's been several complaints about running libvirtd after first install; virtlogd needs to also be started, which is annoying. Example see some comments here:

https://bugzilla.redhat.com/show_bug.cgi?id=1290357

Comment 1 Cole Robinson 2017-03-25 00:44:20 UTC
And this follow up commit:

commit f496ce1df35df7498bd3d9d7e113bb2eb3e51ba9
Author: Andrea Bolognani <abologna@redhat.com>
Date:   Tue Sep 20 15:22:04 2016 +0200

    virtlogd: Don't stop or restart along with libvirtd

Comment 2 Fedora Update System 2017-05-11 13:40:05 UTC
libvirt-2.2.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b67f65db3

Comment 3 Fedora Update System 2017-05-12 13:38:47 UTC
libvirt-2.2.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b67f65db3

Comment 4 Fedora Update System 2017-05-15 04:39:07 UTC
libvirt-2.2.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.